PTHREAD_RWLOCKATTR(3)

NAME
pthread_rwlockattr_init, pthread_rwlockattr_destroy - initialize or destroy read/write lock attributes

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
int
pthread_rwlockattr_init(pthread_rwlockattr_t *attr);
int
pthread_rwlockattr_destroy(pthread_rwlockattr_t *attr);

DESCRIPTION
The pthread_rwlockattr_init() function is used to initialize a read/write lock attributes object.

The pthread_rwlockattr_destroy() function is used to destroy a read/write lock attribute object previously created with pthread_rwlockattr_init().

RETURN VALUES
If successful, the pthread_rwlockattr_init() and pthread_rwlockattr_destroy() functions return zero. Otherwise an error number will be returned to indicate the error.

ERRORS
pthread_rwlockattr_init() shall fail if:

[ENOMEM]
    Insufficient memory exists to initialize the read/write lock attributes object.

pthread_rwlockattr_init() and pthread_rwlockattr_destroy() may fail if:

[EINVAL]
    The value specified by attr is invalid.

SEE ALSO
pthread_rwlock_init(3)

STANDARDS
Both functions conform to p1003.1-2001.